summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorJohn Firebaugh <john.firebaugh@gmail.com>2016-03-16 13:21:31 -0700
committerJohn Firebaugh <john.firebaugh@gmail.com>2016-03-16 17:08:37 -0700
commit8ac82e5a384ba6cc87bea5bff0e92fc21cd3bc48 (patch)
tree454c19168a64337f821ce6a5098d97554fa8d4c3 /bin
parentee651d783238ab9e3d69028f43795a62c91e58b9 (diff)
downloadqtlocation-mapboxgl-8ac82e5a384ba6cc87bea5bff0e92fc21cd3bc48.tar.gz
Add test script for offline database size comparison
Diffstat (limited to 'bin')
-rwxr-xr-xbin/offline.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/bin/offline.sh b/bin/offline.sh
new file mode 100755
index 0000000000..7d8121fb98
--- /dev/null
+++ b/bin/offline.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+OFFLINE=./build/osx-x86_64/Release/mbgl-offline
+
+# Barcelona
+$OFFLINE --north 41.4664 --west 2.0407 --south 41.2724 --east 2.2680 --output barcelona.db
+$OFFLINE --north 41.4664 --west 2.0407 --south 41.2724 --east 2.2680 --output barcelona_sat.db --style mapbox://styles/mapbox/satellite-v8
+
+# Greater London within the M25 at zoom levels 0–15
+$OFFLINE --north 51.6777 --west -0.5026 --south 51.3237 --east 0.2527 --maxZoom 15 --output london.db
+$OFFLINE --north 51.6777 --west -0.5026 --south 51.3237 --east 0.2527 --maxZoom 15 --output london_sat.db --style mapbox://styles/mapbox/satellite-v8
+
+# The contiguous United States at zoom levels 0–9
+$OFFLINE --north 49.6107 --west -125.5078 --south 24.2870 --east -66.3574 --maxZoom 9 --output us.db
+$OFFLINE --north 49.6107 --west -125.5078 --south 24.2870 --east -66.3574 --maxZoom 9 --output us_sat.db --style mapbox://styles/mapbox/satellite-v8